Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Include zlib linker flag if not building with the vendored one #3524

Merged

Conversation

ahmadsherif
Copy link
Member

@ahmadsherif ahmadsherif commented Nov 16, 2015

Apparently building with LLVM enabled includes this flag, probably because of using --system-libs, so building without LLVM fails because it can't link against zlib.

@YorickPeterse YorickPeterse self-assigned this Nov 16, 2015
@YorickPeterse
Copy link
Contributor

YorickPeterse commented Nov 16, 2015

I restarted the OS X builds as they failed due to what appears to be an unrelated RubyGems/Ruby issue. Will check back again tomorrow to see the results.

@YorickPeterse
Copy link
Contributor

YorickPeterse commented Nov 16, 2015

For some bizarre reason the build keeps failing on OS X when running gem --version. Since I don't use OS X I sadly can't test these changes locally, can anybody else using OS X run them to confirm everything is working fine?

@YorickPeterse
Copy link
Contributor

YorickPeterse commented Nov 16, 2015

cc @brixen @jemc

@ahmadsherif
Copy link
Member Author

ahmadsherif commented Nov 16, 2015

Looks like Ruby 2.0.0-p576 and RubyGems 2.5.0 are a bad combo on OS X, I think subsequent OS X builds will fail for the same reason. Can we bump Ruby version a little?

@jemc
Copy link
Member

jemc commented Nov 16, 2015

Sorry, no idea about OS X issues - I only build on linux.

@YorickPeterse
Copy link
Contributor

YorickPeterse commented Nov 16, 2015

@ahmadsherif Bumping it to 2.2 should be fine, you're free to add this to this PR if you'd like (that way we can immediately see if it actually works).

ahmadsherif added 2 commits Nov 16, 2015
OS X builds started to fail after the release of RubyGems 2.5.0, so this
should fix it.
Apparently building with LLVM enabled includes this flag, probably
because of using `--system-libs`, so building without LLVM fails because
it can't link against zlib.
@ahmadsherif ahmadsherif force-pushed the fix/build-with-llvm-disabled branch from 9d00a73 to b9ca4b3 Compare Nov 16, 2015
@ahmadsherif
Copy link
Member Author

ahmadsherif commented Nov 16, 2015

@YorickPeterse All passing except for the clang/linux job, which fails for the same reason as the clang/osx job from the last master build.

@YorickPeterse
Copy link
Contributor

YorickPeterse commented Nov 16, 2015

@ahmadsherif Restarted build, it's green now. Thanks!

@YorickPeterse YorickPeterse merged commit b9ca4b3 into rubinius:master Nov 16, 2015
1 check passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants